Bug 835697 - [eap6] Cannot Create Path Sub-Resources for HornetQ server
[eap6] Cannot Create Path Sub-Resources for HornetQ server
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.4
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: JON 3.1.1
Assigned To: Stefan Negrea
Mike Foley
:
Depends On: 826066
Blocks: as7-plugin 827636 833089 835698 835702
  Show dependency treegraph
 
Reported: 2012-06-26 16:50 EDT by Stefan Negrea
Modified: 2013-09-03 11:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 826066
Environment:
Last Closed: 2013-09-03 11:17:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
path default resource (222.89 KB, image/png)
2012-08-06 11:01 EDT, Armine Hovsepyan
no flags Details

  None (edit)
Description Stefan Negrea 2012-06-26 16:50:59 EDT
+++ This bug was initially created as a clone of Bug #826066 +++

If I try to add Child resource for 'hornetq' typeof 'Path', resourceName I type in is ignored and new resource is always called 'journal-directory'. 

I was checking AS7 CLI and messaging schema found out that there are 4 possible path names, that can be added (in schema directoryType):

paging-directory
bindings-directory
journal-directory
large-messages-directory


Using CLI I can do this:

/subsystem=messaging/hornetq-server=default/path=paging-directory:add(path=/tmp)
{
    "outcome" => "success",
    "response-headers" => {
        "operation-requires-reload" => true,
        "process-state" => "reload-required"
    }
}

But I cannot do the same using JON, since resource-name is ignored and there's always passed 'journal-directory'


This applies only to the messaging subsystem for server and NOT to the messaging subsystem of deployments (eg: /deployment=test.war/subsystem=messaging). The messaging subsystem for deployments does not have Path children.

--- Additional comment from ccrouch@redhat.com on 2012-05-29 10:03:35 EDT ---

(9:00:59 AM) ccrouch: do you think its critical?
(9:01:55 AM) stefan_n: I am not sure ...
(9:02:01 AM) stefan_n: hard for me to say
(9:02:51 AM) stefan_n: if it helps, that functionality is not exposed in the AS7 Admin Console

--- Additional comment from ccrouch@redhat.com on 2012-06-11 11:28:00 EDT ---

As per 6/4/12 triage, target for jon311

--- Additional comment from snegrea@redhat.com on 2012-06-12 17:28:32 EDT ---

Created a generic component to handle templated resources. Path is now a templated resources with __name as a configuration setting.
Comment 2 John Sanda 2012-08-02 14:52:07 EDT
JON 3.1.1 ER1 build is available. Moving to ON_QA.

https://brewweb.devel.redhat.com/buildinfo?buildID=226942
Comment 3 Armine Hovsepyan 2012-08-06 11:01:14 EDT
reopened.

It is already possible to create path resources with correct type, but:

1. There is "default" type visible in the path resource types list. (please see attached screenshot)
2. It is possible to create as many path resources with the same type as you want, but only the first of them is being created and all the following ones are being marked as duplicate and through on UI it shows that it is possible to create the path resource. 

Please do not hesitate to tell  me if this bugs should have been created separately.

Regards,
Armine H
Comment 4 Armine Hovsepyan 2012-08-06 11:01:39 EDT
Created attachment 602531 [details]
path default resource
Comment 5 Stefan Negrea 2012-08-14 16:01:06 EDT
For point 1) in comment #3: That is a normal UI, the default will always be displayed and available for users to pick. The drop-down from step 1 allows users to select a template and not an actual resource or resource configuration. After this template is applied the user can update the resource configuration further.

For point 2) in comment #3: That is known issue. The current UI does not have the capability to take into account min and max number of resources. In this case there are maximum of four Path resources that can be created, but only one max of each type (available types: journal-directory, paging-directory, large-messages-directory, bindings-directory). Please refer to mix and max occurrence and resource tree for the Path resource. 

Since min/max number of resources is not supported in the UI, the users who attempt to create extra resources will just get an error message from EAP6. The error message is very descriptive. Also, by not baking this limitation in the plugin itself, no further updates will be required if EAP6 allows users to create more than one of each of these resources.

Please rest this, no code changes required.
Comment 6 Armine Hovsepyan 2012-08-15 06:14:48 EDT
verified!

Thanks for the detailed reply Stefan.
Comment 7 Heiko W. Rupp 2013-09-03 11:17:24 EDT
Bulk closing of old issues in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.